%define anolis_release 1
Name:           perl-Email-Valid
Version:        1.202
Release:        %{anolis_release}%{?dist}
Summary:        Check validity of internet email address
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Email-Valid
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/Email-Valid-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl(Mail::Address), perl(Test::Pod), perl(Test::Pod::Coverage)
BuildRequires:  bind-utils
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Net::Domain::TLD)
BuildRequires:  perl(Net::DNS)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test::More)
BuildRequires:	perl(Capture::Tiny)
BuildRequires:	perl(IO::CaptureOutput)

%description
This module determines whether an email address is well-formed, and optionally,
whether a mail host exists for the domain or whether the top level domain of 
the email address is valid.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Email-Valid-%{version}

%build
sed -i '/LICENSE/ d' Makefile.PL
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%files
%{perl_vendorlib}/Email/
%{_mandir}/man3/*.3*

%files doc
%doc Changes

%changelog
* Fri Feb 3 2023 Funda Wang <fundawang@yeah.net> - 1.202-1
- Import package for anolis 23
